- API reference
- Order Management API
Capture an order
https://api.kustom.co/ordermanagement/v1/orders/{order_id}/captures
Create capture. Read more on Capturing an order
Order id
This header will guarantee the idempotency of the operation. The key should be unique and is recommended to be a UUID version 4. Retries of requests are safe to be applied in case of errors such as network errors, socket errors and timeouts. Input values of the operation are disregarded when evaluating the idempotency of the operation, only the key matters.
No field here matches the current filters.
The captured amount in minor units.
Description of the capture shown to the customer. Maximum 255 characters.
Order lines for this capture. Maximum 1000 items.
20 fields in order_lines
URL to an image that can be embedded in communications between Klarna and the customer.
Data about the order line.
Descriptive item name.
product_identifiers
6 fields in product_identifiers
The product’s brand name as generally recognized by consumers. If no brand is available for a product, do not supply any value. Maximum 70 characters. Example: Intel
The product’s category path as used in the merchant’s webshop. Include the full and most detailed category and separate the segments with ’ > ’. Maximum 750 characters. Example: Electronics Store > Computers & Tablets > Desktops
Color to be shown to the end customer (max 64 characters). Example: Denim blue
The product’s Global Trade Item Number (GTIN). Common types of GTIN are EAN, ISBN or UPC. Exclude dashes and spaces, where possible. Maximum 50 characters. Example: 735858293167
The product’s Manufacturer Part Number (MPN), which - together with the brand - uniquely identifies a product. Only submit MPNs assigned by a manufacturer and use the most specific MPN possible. Maximum 70 characters. Example: BOXNUC5CPYH
Size to be shown to the end customer (max 64 characters). Example: 4
URL to the product that can be used in communications between Klarna and the customer.
Item quantity.
Unit used to describe the quantity.
Article number, SKU, or similar identifier on the product variant level.
The tax rate in percent with two implicit decimals.
Total amount including tax and discounts (
quantity * unit_price - total_discount_amount).The discount amount in minor units. Includes tax. Example: 1200 = $12. Max value: 200000000
The total tax amount in minor units.
Order line type.
- physical
- discount
- shipping_fee
- sales_tax
- store_credit
- gift_card
- digital
- surcharge
- return_fee
- package
Unit price including tax without applying discounts in minor units.
Internal reference to the capture. This will be included in the settlement files. Max length is 255 characters.
Delay before the order will be shipped. Use for improving the customer experience regarding payments. This field is currently not returned when reading the order. Minimum: 0. Please note: to be able to submit values larger than 0, this has to be enabled in your merchant account. Please contact Kustom for further information.
Shipping information for this capture. Maximum 500 items.
7 fields in shipping_info
Name of the shipping company for the return shipment (as specific as possible). Maximum 100 characters. Example: ‘DHL SE’ and not only ‘DHL’
Tracking number for the return shipment. Maximum 100 characters.
URL where the customer can track the return shipment. Maximum 1024 characters.
Name of the shipping company (as specific as possible). Maximum 100 characters. Example: ‘DHL SE’ and not only ‘DHL’
Shipping method. Allowed values matches (PickUpStore|Home|BoxReg|BoxUnreg|PickUpPoint|Own|Postal|DHLPackstation|Digital|Undefined|PickUpWarehouse|ClickCollect|PalletDelivery)
Tracking number for the shipment. Maximum 100 characters.
URI where the customer can track their shipment. Maximum 1024 characters.
No field here matches the current filters.
Capture created
No response body — this status returns headers only.
No field here matches the current filters.
Capture not allowed.
Correlation id. For searching logs.
Error code
Error messages
No field here matches the current filters.
Order not found.
Correlation id. For searching logs.
Error code
Error messages
No field here matches the current filters.
Conflict
No response body — this status returns headers only.
No field here matches the current filters.
Errors
| Code | Status | What it means | Retry |
|---|---|---|---|
CAPTURE_NOT_ALLOWED | 403 | The order is not in a state that permits capture. Needs AUTHORIZED. | Never retry |
NO_SUCH_ORDER | 404 | The order_id does not exist, or belongs to the other environment. | Never retry |
This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.